|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QAbstractSocket

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QAbstractSocket class reference

### Public Types

- enum Error { ErrConnectionRefused, ErrHostNotFound, ErrSocketRead }
- typedef State

### Public Functions

- void setSocket ( int socket )
- int socket () const
- qulonglong waitForMore ( int msecs, bool * timeout = 0 ) const

- 22 public functions inherited from QIODevice
- 8 public functions inherited from QObject

### Signals

- void connectionClosed ()
- void delayedCloseFinished ()

## Member Type Documentation

### enum QAbstractSocket::Error

Use QAbstractSocket::SocketError instead.

Constant | Value | Description
--- | --- | ---
`QAbstractSocket::ErrConnectionRefused` | `ConnectionRefusedError` | Use QAbstractSocket::ConnectionRefusedError instead.
`QAbstractSocket::ErrHostNotFound` | `HostNotFoundError` | Use QAbstractSocket::HostNotFoundError instead.
`QAbstractSocket::ErrSocketRead` | `UnknownSocketError` | Use QAbstractSocket::UnknownSocketError instead.

### typedef QAbstractSocket::State

Use QAbstractSocket::SocketState instead.

Qt 3 enum value | Qt 4 enum value
--- | ---
`Idle` | UnconnectedState
`HostLookup` | HostLookupState
`Connecting` | ConnectingState
`Connected` | ConnectedState
`Closing` | ClosingState
`Connection` | ConnectedState

## Member Function Documentation

### void QAbstractSocket::connectionClosed () `[signal]`

Use closed() instead.

### void QAbstractSocket::delayedCloseFinished () `[signal]`

Use closed() instead.

### void QAbstractSocket::setSocket ( int socket )

Use setSocketDescriptor() instead.

See also socket().

### int QAbstractSocket::socket () const

Use socketDescriptor() instead.

See also setSocket().

### qulonglong QAbstractSocket::waitForMore ( int msecs, bool * timeout = 0 ) const

Use waitForReadyRead() instead.

For example, if you have code like

     bool timeout;
     Q_ULONG numBytes = socket->waitForMore(30000, &timeout);

you can rewrite it as

     qint64 numBytes = 0;
     if (socket->waitForReadyRead(msecs))
         numBytes = socket->bytesAvailable();
     bool timeout = (error() == QAbstractSocket::SocketTimeoutError);

See also waitForReadyRead(), bytesAvailable(), error(), and SocketTimeoutError.